Package org.gradle.api

## Class Named.Namer

- java.lang.Object
- - org.gradle.api.Named.Namer

- All Implemented Interfaces:
    `Namer<Named>`
  Enclosing interface:
    Named

      public static class Named.Namer
      extends java.lang.Object
      implements Namer<Named>

  An implementation of the namer interface for objects implementing the named interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Namer

      `Namer.Comparator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Namer<Named>` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Namer()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `determineName​(Named object)` | Determines the name of the given object.
    `static <T> Namer<? super T>` | `forType​(java.lang.Class<? extends T> type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Namer<Named> INSTANCE

  - ### Constructor Detail

    - #### Namer

          public Namer()

  - ### Method Detail

    - #### determineName

          public java.lang.String determineName​(Named object)

      Description copied from interface: `Namer`
      Determines the name of the given object.
      Specified by:
        `determineName` in interface `Namer<Named>`
      Parameters:
        `object` - The object to determine the name of
      Returns:
        The object's inherent name. Never null.

    - #### forType

          public static <T> Namer<? super T> forType​(java.lang.Class<? extends T> type)